**Food and Inequality--Jordan 2012

*Regressions and Simulations do file

**Version 3.0
**Caroline Krafft
**Original 10/31/14
**Updated 7/12/21
**STATA


use "FIJO data v1.dta", clear

estimates clear


***************
*Regressions
***************

****Height for age

*Pure socioeconomics
reg ht24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 if dejure==1 & match==1 &htvalid==1  [pw=hhweight], cluster(v001)

estimates store hta1

*Socioeconomics+age 

reg ht24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 month_2-month_23  if dejure==1 & match==1 &htvalid==1 [pw=hhweight], cluster(v001)

estimates store hta2

*Mediators

reg ht24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &htvalid==1  [pw=hhweight], cluster(v001)

estimates store hta3

reg ht24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
 chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &htvalid==1 [pw=hhweight], cluster(v001)

estimates store hta4


*Epigenetics

reg ht24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &htvalid==1  [pw=hhweight], cluster(v001)

estimates store hta5

reg ht24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &htvalid==1 [pw=hhweight], cluster(v001)

estimates store hta6



****Weight for age

*Pure socioeconomics
reg wt24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 if dejure==1 & match==1 &wtvalid==1  [pw=hhweight], cluster(v001)

estimates store wta1

*Socioeconomics+age 

reg wt24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 month_2-month_23  if dejure==1 & match==1 &wtvalid==1 [pw=hhweight], cluster(v001)

estimates store wta2

*Mediators

reg wt24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &wtvalid==1 [pw=hhweight], cluster(v001)

estimates store wta3

reg wt24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &wtvalid==1 [pw=hhweight], cluster(v001)

estimates store wta4


*Epigenetics

reg wt24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &wtvalid==1 [pw=hhweight], cluster(v001)

estimates store wta5

reg wt24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &wtvalid==1 [pw=hhweight], cluster(v001)

estimates store wta6

****Weight for height


*Pure socioeconomics
reg wh24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 if dejure==1 & match==1 &whvalid==1 [pw=hhweight], cluster(v001)

estimates store wth1

*Socioeconomics+age 

reg wh24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 ///
 month_2-month_23  if dejure==1 & match==1 &whvalid==1  [pw=hhweight], cluster(v001)

estimates store wth2

*Mediators

reg wh24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &whvalid==1 [pw=hhweight], cluster(v001)

estimates store wth3

reg wh24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know  dist_prob ///
if dejure==1 & match==1 &whvalid==1  [pw=hhweight], cluster(v001)

estimates store wth4

*Epigenetics

reg wh24mf wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
ch_female chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &whvalid==1 [pw=hhweight], cluster(v001)

estimates store wth5

reg wh24mf  wscore wscore2 faed2-faed6 moed2-moed6 ///
ftemp2-ftemp4 mtemp2-mtemp3 ftocp3-ftocp9 mtocp3-mtocp3 rural gov_2-gov_12 scamps badia ///
 month_2-month_23  ch_female ///
chbf_2-chbf_8 other3 exclbf currbf  ///
 bottle foodfr_2-foodfr_5 liquids grains protein fruitveg ///
  diar_2-diar_3 fever_2-fever_3 roomspp c_wealth c_wealth2 c_nosewer c_water_2 c_water_3 c_water_4 toilet_2 water_2 water_3 water_4 hh_smoke cigarettes nargile ///
TB_curable know_ORS FP_know mage_2-mage_7 mtht bspace firstb dist_prob ///
bweight bweightm  ///
if dejure==1 & match==1 &whvalid==1  [pw=hhweight], cluster(v001)

estimates store wth6


*Results for regressions

esttab hta* wta* wth* using FIJOregv1.csv, ///
 replace label cells(b(star fmt(%9.3f)) se(par)) ///
 stats(p N r2 r2_a, fmt(%9.3f %9.0g %9.3f %9.3f) label("P-value (model)" "N(Observations)" ///
 "R-squared" "Adj. R-squared")) ///
refcat(wscore "Wealth" faed2 "Father's education (none omit.)" ///
moed2 "Mother's education (none omit.)" ftemp2 "Father's emp. status (none/absent omit.)" ///
mtemp2 "Mother's employment status (none/absent omit.)" ///
 ftocp3 "Father's occup. (professional omit.)" mtocp3 "Mother's occup. (professional omit.)" ///
gov_2 "Area of residence" chbf_2 "Breastfeeding init. (never omit.)" ///
foodfr_2 "Feeding frequency" liquids "No. Foods"  diar_2 "Diarhhea (none omit.)" ///
fever_2 "Fever/Cough (none omit.)"  c_wealth "Cluster wealth" ///
c_water_2 "Cluster water (bottled omit.)" ///
water_2 "Household Water (bottled omit.)" ///
toilet_2 "Household Sanitation (Sewer omit.)" mage_2 "Mother's age (15-19 omit.)") ///
 indicate("Age (months) = month_*" ) ///
 mlabels("Height-for-age SES" "Height-for-age SES and age/birth month" ///
 "Height-for-age Mediators" "Height-for-age Mediators and age/birth month" ///
 "Height-for-age Incl. Epigenetics" "Height-for-age Incl. Epigenetics and age/birth month" ///
 "Weight-for-age SES" "Weight-for-age SES and age/birth month" ///
  "Weight-for-age Mediators" "Weight-for-age Mediators and age/birth month" ///
  "Weight-for-age Incl. Epigenetics" "Weight-for-age Incl. Epigenetics and age/birth month" ///
 "Weight-for-height SES" "Weight-for-height SES and age/birth month" ///
 "Weight-for-height Mediators" "Weight-for-height Mediators and age/birth month" ///
  "Weight-for-height Incl. Epigenetics" "Weight-for-height Incl. Epigenetics and age/birth month") 
 
